# reports

open fun reports(@DelegatesTo(value = CheckstyleReports::class, strategy = Closure.DELEGATE_FIRST) closure: Closure): CheckstyleReports

Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

    checkstyleTask {
      reports {
        html {
          destination "build/checkstyle.html"
        }
      }
    }

Content copied to clipboard

#### Return

The reports container

#### Parameters

closure

The configuration

open fun reports(configureAction: Action<in CheckstyleReports>): CheckstyleReports

Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

    checkstyleTask {
      reports {
        html {
          destination "build/checkstyle.html"
        }
      }
    }

Content copied to clipboard

#### Return

The reports container

#### Since

3.0

#### Parameters

configureAction

The configuration

val reports: CheckstyleReports